# ARBTextureRectangle (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengles
Class ARBTextureRectangle

    java.lang.Object
      org.lwjgl.opengles.ARBTextureRectangle

    public final class ARBTextureRectangle

extends java.lang.Object

Field Summary
`static int` `GL_MAX_RECTANGLE_TEXTURE_SIZE_ARB` Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv and GetFloatv:
`static int` `GL_PROXY_TEXTURE_RECTANGLE_ARB` Accepted by the <target> parameter of GetTexLevelParameteriv, GetTexLevelParameterfv, GetTexParameteriv and TexImage2D:
`static int` `GL_SAMPLER_2D_RECT_ARB` Returned by <type> parameter of GetActiveUniform when the location <index> for program object <program> is of type sampler2DRect:
`static int` `GL_SAMPLER_2D_RECT_SHADOW_ARB` Returned by <type> parameter of GetActiveUniform when the location <index> for program object <program> is of type sampler2DRectShadow:
`static int` `GL_TEXTURE_BINDING_RECTANGLE_ARB` Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv and GetDoublev:

`static int`

`GL_TEXTURE_RECTANGLE_ARB`
Accepted by the <cap> parameter of Enable, Disable and IsEnabled; by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv and GetDoublev; and by the <target> parameter of BindTexture, GetTexParameterfv, GetTexParameteriv, TexParameterf, TexParameteri, TexParameterfv and TexParameteriv: Accepted by the <target> parameter of GetTexImage, GetTexLevelParameteriv, GetTexLevelParameterfv, TexImage2D, CopyTexImage2D, TexSubImage2D and CopySubTexImage2D:

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_TEXTURE_RECTANGLE_ARB

    public static final int GL_TEXTURE_RECTANGLE_ARB

  Accepted by the <cap> parameter of Enable, Disable and IsEnabled; by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv and GetDoublev; and by the <target> parameter of BindTexture, GetTexParameterfv, GetTexParameteriv, TexParameterf, TexParameteri, TexParameterfv and TexParameteriv: Accepted by the <target> parameter of GetTexImage, GetTexLevelParameteriv, GetTexLevelParameterfv, TexImage2D, CopyTexImage2D, TexSubImage2D and CopySubTexImage2D:

  See Also:
    Constant Field Values

### GL_TEXTURE_BINDING_RECTANGLE_ARB

    public static final int GL_TEXTURE_BINDING_RECTANGLE_ARB

  Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv and GetDoublev:

  See Also:
    Constant Field Values

### GL_PROXY_TEXTURE_RECTANGLE_ARB

    public static final int GL_PROXY_TEXTURE_RECTANGLE_ARB

  Accepted by the <target> parameter of GetTexLevelParameteriv, GetTexLevelParameterfv, GetTexParameteriv and TexImage2D:

  See Also:
    Constant Field Values

### GL_MAX_RECTANGLE_TEXTURE_SIZE_ARB

    public static final int GL_MAX_RECTANGLE_TEXTURE_SIZE_ARB

  Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv and GetFloatv:

  See Also:
    Constant Field Values

### GL_SAMPLER_2D_RECT_ARB

    public static final int GL_SAMPLER_2D_RECT_ARB

  Returned by <type> parameter of GetActiveUniform when the location <index> for program object <program> is of type sampler2DRect:

  See Also:
    Constant Field Values

### GL_SAMPLER_2D_RECT_SHADOW_ARB

    public static final int GL_SAMPLER_2D_RECT_SHADOW_ARB

  Returned by <type> parameter of GetActiveUniform when the location <index> for program object <program> is of type sampler2DRectShadow:

  See Also:
    Constant Field Values

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.